POST api/Survey/DeleteComment
Request Information
URI Parameters
None.
Body Parameters
SurveyDeleteCommentModel| Name | Description | Type | Additional information |
|---|---|---|---|
| surveyId | integer |
None. |
|
| commentGuid | globally unique identifier |
None. |
|
| accountGuid | globally unique identifier |
None. |
Request Formats
application/json, text/json
Sample:
{
"surveyId": 1,
"commentGuid": "b585a6d4-2bc0-4bd0-8bd9-962de26c60a8",
"accountGuid": "f5e5f570-6f91-428f-9f2c-280e902460c1"
}
text/plain, application/octet-stream
Sample:
{"surveyId":1,"commentGuid":"b585a6d4-2bc0-4bd0-8bd9-962de26c60a8","accountGuid":"f5e5f570-6f91-428f-9f2c-280e902460c1"}
application/xml, text/xml
Sample:
<SurveyDeleteCommentModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"> <accountGuid>f5e5f570-6f91-428f-9f2c-280e902460c1</accountGuid> <commentGuid>b585a6d4-2bc0-4bd0-8bd9-962de26c60a8</commentGuid> <surveyId>1</surveyId> </SurveyDeleteCommentModel>
multipart/form-data, application/form-data
Sample:
<SurveyDeleteCommentModel xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/RashakaApi.ApiRequestBody"><accountGuid>f5e5f570-6f91-428f-9f2c-280e902460c1</accountGuid><commentGuid>b585a6d4-2bc0-4bd0-8bd9-962de26c60a8</commentGuid><surveyId>1</surveyId></SurveyDeleteCommentModel>
application/x-www-form-urlencoded
Sample:
Sample not available.
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json, text/plain, application/octet-stream, application/xml, text/xml, multipart/form-data, application/form-data
Sample:
Sample not available.